Handbetriebsoffsetgrenzen (A4)

1.1 EinleitungPAGEREF _Toc304470273 \h2

1.2 Beschreibung 3

1.3 CNC-Programmierung 6

1.4 Absolute Offsetgrenzen über ADS 8

1.5 Parameter 9

1.5.1 Übersicht 9

1.5.2 Achsparameter 10

1.5.3 Kanalparameter 10

1.5.4 ADS-Parameter 12

1.5.5 HLI-Parameter 12

Mehr:

button Einleitung

button Beschreibung

button CNC-Programmierung

button Absolute Offsetgrenzen über ADS

button Parameter


Einleitung

Aufgabe

Mit den Handbetriebsoffsetgrenzen wird während laufender Interpolation die Summe der zusätzlichen Sollwerte, die durch Handbedienelemente auf eine Achse beaufschlagt werden, unter Berücksichtigung von Betrag und Wirkrichtung überwacht.

Wirksamkeit

Die Offsetüberwachung ist sowohl bei Handbetrieb mit (G201) oder ohne (G200) paralleler Interpolation wirksam. Für folgende Achstypen können Handbetriebsoffsetgrenzen parametriert werden:

q Linearachsen

q Rundachsen

q Spindeln

Parametrierung

Die Grenzwerte für den Handbetriebsoffset (P-AXIS-00137/ P-AXIS-00138) können für jede Achse im Achsparameterdatensatz [AXIS] parametriert werden.

Beauftragung

In einem NC-Programm können die Handbetriebsoffsetgrenzen durch den NC-Befehl #SET OFFSET beauftragt werden.

Die Beschränkung des Verfahrbereichs durch Offsetgrenzen kann auch für Moduloachsen durchgeführt werden.


Beschreibung

Aufgabe

Die Steuerung bietet die Möglichkeit während laufender Interpolation, d.h. während des Ablaufs eines NC-Programms, die Achsen im Programmierkoordinatensystem über Handbedienelemente mit zusätz-lichen Sollwerten zu versorgen. Dies wird durch Programmierung von G201 aktiviert.

Über G200 können die Achsen im Handbetrieb ohne parallele Interpolation verfahren werden.

Mit der Parametrierung der Offsetgrenzen im Handbetrieb besteht die Möglichkeit für jede Achsrichtung die zusätzlich beaufschlagten Sollwerte zu begrenzen.

Wirkung

Ab dem Zeitpunkt der Aktivierung des Handbetriebs mit/ohne paralleler Interpolation durch Programmierung von G201/G200 werden die durch Handbedienelemente zusätzlich gegebenen Sollwerte unter Berücksichtigung ihrer Wirkrichtung addiert, bis dieser Betrieb durch Programmierung von G202 abgewählt wird. Die Summe aller gegebenen Sollwerte wird dabei auf ein Unter- oder Überschreiten der definierten Offsetgrenzen für die negative oder positive Achsbewegungsrichtung überprüft.

Nach Abwahl des Handbetriebs mit paralleler Interpolation durch den NC-Befehl G202, bleiben die während des Betriebes zusätzlich gegebenen Sollwertoffsets weiterhin aktiv.

Meldungen

Das Verletzen der Wertebereichsgrenzen für die positive und negative Offsetgrenze bei der Parametrierung, sowie das Unter- oder Überschreiten der Offsetgrenzen durch Vorgabe von Sollwerten über Handbedien-elemente während paralleler Interpolation erzeugen Meldungen.

Werte-bereichsgrenzen

Die Wertebereichsgrenzen für die Offsetgrenzen werden sowohl beim Hochlauf der Steuerung bei Übernahme der Achsparameter überprüft, als auch bei der Programmierung durch einen #SET-NC-Programmbefehl (siehe Kapitel 0)

Ist die aktuelle Achsposition ausserhalb der Offsetgrenzen, so kann nur noch in Richtung des durch die Offsetgrenzen definierten Bereichs gefahren werden.

Jogbetrieb (incremental jog)

Wird versucht die Offsetgrenze zu überfahren, so wird eine entsprechende Meldung (ID: 150008) ausgegeben. Die betroffene Achse kann in entgegengesetzter Richtung bewegt werden.

Softwareendschalter

Ist der Handbetrieb mit paralleler Interpolation durch Programmierung von G201 möglich, kann es durch die Beaufschlagung mit Sollwerten durch die Handbedienelemente zu einer Überschreitung der Softwareend-schalterpositionen kommen. Dies wird durch eine Meldung (ID: 50041, 50042) angezeigt.

Auf diese Meldung muss mit einem Reset der Steuerung reagiert werden.

Moduloachsen

Für Moduloachsen können die Offsetgrenzen mehrere Modulo-Umdrehungen umfassen. Die angegeben Offsetgrenzen beziehen sich auf die Achsposition, die zum Zeitpunkt der Aktivierung der Achse durch G200 / G201 gültig ist. Diese Bezugsposition kann über ADS oder direkt auf dem HLI ausgelesen werden.

Wird die Achse danach in einen anderen Modulobereich verfahren, so verschieben sich die Offsetgrenzen nicht in den neuen Modulobereich.

Beispiele

Offsetlimit innerhalb einer Moduloumdrehung

G200

negative limit = 120°

positive limit = 220°

Offsetlimit umfasst mehrere Moduloumdrehungen

G200

negative limit = -670°

positive limit = 560°

Offsetlimit liegen in anderem Modulovielfachem

G200

negative limit = 800°

positive limit = 920°

Versetzen der Bezugsposition durch Neuaktivieren er HB-Achse

G200

negative limit = 800°

positive limit = 920°

Achse um +740° verfahren

Bewegung fortsetzen / Reset

G200

negative limit = 80°

positive limit = 200°

Die Überwachung der Offsetgrenzen ist ausgeschaltet, sobald beide Grenzwerte ( P-AXIS-00137, P-AXIS-00138 ) auf Null gesetzt werden.

Beispielhafte Achsparametrierung:

handbetrieb.offsetgrenze_pos 0

handbetrieb.offsetgrenze_neg 0


CNC-Programmierung

Handbetriebsoffset-grenzen | Die Handbetriebsoffsetgrenzen für eine Achse im Programmierkoordinatensystem lassen sich über den Befehl #SET OFFSET [ <neg_offset>, <pos_offset> ] < Achsname> programmieren. Für die jeweiligen Argumente gelten folgende Vorschriften:
 | <neg_offset> negativer Offsetwert, neg_offset≤0 <pos_offset> positiver Offsetwert, pos_offset≥0 <Achsname> Achsebezeichnung, für die die Offsetgrenzen gelten soll.
 | Diese Offsetgrenzen gelten für alle Handbetriebsarten. Die Offsetwerte können jederzeit ohne zuvor programmiertes G202 überschrieben werden. Es erfolgt lediglich eine Vorzeichenüberprüfung der programmierten Offset-grenzen. Weitere Überprüfungen z.B. bzgl. Bereichserweiterungen finden nicht statt.

Programmierbeispiel

%100

N010 G74 Y1

N015 G01 X10 Y10 F1000

N020 #SET OFFSET[-40,25] X

N020 #SET OFFSET[-200,250] X

N030 #SET OFFSET[-30,55] Y

N030 #SET OFFSET[-300,350] Y

N015 G90 G01 X10 Y10 Z0 F1000

N050 G201 #ACHSE[X,Y] (N040 G200

N060 P1 = 1

N070 $WHILE P1 < 10000

Z[P1/1000]

N080 $IF P1 == 100

N090 #SET OFFSET[-14,14] X

N100 $ENDIF

N080 $IF P1 == 600

N050 G202 #ACHSE[X,Y]

N050 G201 #ACHSE[X,Y]

N100 $ENDIF

N080 $IF P1 == 500

N100 $ENDIF

N110 P1 = P1 + 1

N120 #FLUSH WAIT

N120 $ENDWHILE

N1800 M30


Absolute Offsetgrenzen über ADS

Absolute Offsetgrenzen

Neben der Angabe von relativen Offsetgrenzen über die Achsparameterliste bzw. im NC-Programm, können auch absolute Offsetgrenzen vorgegeben werden.

Die absoluten Offsetgrenzen können in der Einheit in [0.1 um] nach Aktivierung des Handbetriebs über einen ADS-Schreibzugriff gesetzt werden und gelten für die Betriebsarten:

· Handrad

· inkrementellen Handbetrieb (JOG)

· kontinuierlichen Handbetrieb (TIPP)

Befindet sich die Achse beim Setzen der Offsetgrenzen ausserhalb des Verfahrbereichs, so kann nur noch in Richtung des gültigen Verfahrbereichs gefahren werden.

Neben den ADS-Objekte zum Schreiben neuer Offsetgrenzen können die aktiven Offsetgrenzen ausgelesen werden.

Nach jedem Ändern der Grenzwerte sollte die korrekte Übernahme durch Auslesen der aktiven Offsetgrenzen verifiziert werden.

Beispiel : Zugriff ADS-Objektbrowser

Beispiel : ADS-Zugriff über SPS

Lesen in der SPS, aktiven Grenze

FbRead : ADSREAD;

fbRead( NetID := '', Port := 551,

IdxGrp := 16#00021301 + ChannelIdx,

IdxOffs := 16#0001001E + 16#00010000*AxisIdx,

LEN := 4, DestAddr := pDest,

READ := fStarted, TMOUT := T#1s);

Schreiben in der SPS.

Sollgrenze

writeOffsetMin1 : ADSWRITE;

writeOffsetMax1 : ADSWRITE;

writeOffsetMin1( NetID := '', Port := 551,

IdxGrp := 16#00021301, IdxOffs := 16#00010019,

LEN := 4, SrcAddr := ADR(NewOffsetMin1),

WRITE := fWrite1, TMOUT := T#1s);

writeOffsetMax1( NetID := '', Port := 551,

IdxGrp := 16#00021301, IdxOffs := 16#0001001A,

LEN := 4, SrcAddr := ADR(NewOffsetMax1),

WRITE := fWrite1, TMOUT := T#1s);


Parameter

Mehr:

button Übersicht

button Achsparameter

button Kanalparameter

button ADS-Parameter

button HLI-Parameter


Übersicht

ID | Parameter | Beschreibung
P-AXIS-00137 | offsetgrenze_neg | Position der negativen Offsetgrenze bei Handbetrieb
P-AXIS-00138 | offsetgrenze _pos | Position der positiven Offsetgrenze bei Handbetrieb
P-CHAN-00114 | rel_offset_limits_std_manual_mode | Offsetlimits gelten auch für G200

Programmierbeispiel

# Positive Offsetgrenze in [0.1 um]

handbetrieb.offsetgrenze_pos 600000

# Negative Offsetgrenze in [0.1 um]

handbetrieb.offsetgrenze_neg -600000

Die Überwachung der Offsetgrenzen ist ausgeschaltet, sobald beide Grenzwerte ( P-AXIS-00137, P-AXIS-00138 ) auf Null gesetzt werden.

Beispielhafte Achsparametrierung:

handbetrieb.offsetgrenze_pos 0

handbetrieb.offsetgrenze_neg 0


Achsparameter

P-AXIS-00137 | Relative, negative Offsetgrenze bei Handbetrieb
Parameter | handbetrieb.offsetgrenze_neg
Beschreibung | Abstand der unteren Offsetgrenze von der Achsposition, die zum Zeitpunkt des Aktivierens der Handbetriebsachse gültig war:
Datentyp | SGN32
Datenbereich | MIN(SGN32) ≤ P-AXIS-00137 ≤ 0 P-AXIS-00137 und P-AXIS-00138 dürfen nicht gleichzeitig den Wert 0 besitzen.
Dimension | translatorisch: 0,1µm | rotatorisch: 0,0001°
Standardwert | 0
Anmerkungen |

P-AXIS-00138 | Relative, positive Offsetgrenze bei Handbetrieb
Parameter | handbetrieb.offsetgrenze_pos
Beschreibung | Abstand der oberen Offsetgrenze von der Achsposition, die zum Zeitpunkt des Aktivierens der Handbetriebsachse gültig war:
Datentyp | SGN32
Datenbereich | 0 ≤ P-AXIS-00138 ≤ MAX(SGN32) P-AXIS-00138 und P-AXIS-00137 dürfen nicht gleichzeitig den Wert 0 besitzen.
Dimension | translatorisch: 0,1µm | rotatorisch: 0,0001°
Standardwert | 0
Anmerkungen |


Kanalparameter

P-CHAN-00114 | Relative Offsetgrenze bei G200-Aktivierung
Parameter | rel_offset_limits_std_manual_mode
Beschreibung | Bei aktivem G200 erfolgt die Fahrbereichseinschränkung falls die Achse referenziert ist, nur über die Softwareendschalter. Sollen auch die relativen Offsetgrenzen berücksichtigt werden, so kann dies über den Parameter "rel_offset_limits_std_manual_mode" gesteuert werden.
Datentyp | BOOLEAN
Datenbereich | 0/1
Dimension | TRUE / FALSE
Standardwert | 0 - Relative Offsetgrenzen werden bei G200 nicht berücksichtigt.
Anmerkungen |


ADS-Parameter

Absoluter, unterer Handbetriebsoffset
Description | Kommandierte absolute, untere Handbetriebsgrenze.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.019 (+ 0x10.000 pro Achsindex im Kanal)
Type | Signed 32 bit
Unit | 0.1 µm
Access | read and write

Absoluter, oberer Handbetriebsoffset
Description | Kommandierte absolute, obere Handbetriebsgrenze.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.01A (+ 0x10.000 pro Achsindex im Kanal)
Type | Signed 32 bit
Unit | 0.1 µm
Access | read and write

Aktiver, absoluter, unterer Handbetriebsoffset
Description | Aktive absolute, untere Handbetriebsgrenze.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.01D (+ 0x10.000 pro Achsindex im Kanal)
Type | signed 32 bit
Unit | 0.1 µm
Access | Read only

Aktiver, absoluter, unterer Handbetriebsoffset
Description | Aktive absolute, obere Handbetriebsgrenze.
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.01E (+ 0x10.000 pro Achsindex im Kanal)
Type | signed 32 bit
Unit | 0.1 µm
Access | Read only

Aktueller Handbetriebsoffset
Description | Durch Handbetrieb verfahrener Offset
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.01B (+ 0x10.000 pro Achsindex im Kanal)
Type | signed 32 bit
Unit | 0.1 µm
Access | Read only

Sollposition des Handbetriebs
Description | Aktuelle Achsposition inklusive des Handbetriebsoffset (ohne Modulorechnung)
Port | 0x551 (Task GEO)
Index-Group | 0x21.301 (+ 1 pro Kanalindex)
Index-Offset | 0x10.01C (+ 0x10.000 pro Achsindex im Kanal)
Type | signed 32 bit
Unit | 0.1 µm
Access | Read only


HLI-Parameter

Sollposition (ACS)
Beschreibung | Aktuelle Achsposition inklusive der Handbetriebsoffsets (ohne Modulorechnung)
Signalfluss | CNC -> PLC
Einheit | 0.1 µm
ST-Pfad | pMC[..]^.addr^.StateBahn_Data.HLIBahnCoordDispData_Coord[..]. D_AcsPosition
Datentyp | DINT
Zugriff | PLC liest
Besonderheiten |